Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/27778/?format=api
{ "ob_id": 27778, "uuid": "d11cdf15ecfe4e7a805d88254d58208a", "title": "Sentinel 3A Synthetic Aperture Radar Altimeter (SRAL) Level 2 Land data", "abstract": "This dataset contains altimetry data from the Synthetic Aperture Radar Altimeter (SRAL) aboard the European Space Agency (ESA) Sentinel 3A Satellite. Sentinel 3A was launched on the 16th February 2016. Level-2 (L2) is the Level-1 data corrected for geophysical effects. \r\n\r\nLike many recent altimeters, Sentinel 3 operates at two frequencies (Ju and C band) in order to derive an ionospheric correction. A Level 2 SRAL/MWR complete product contains three data files:\r\na \"reduced\" (Red) data file, containing a subset of the main 1 Hz Ku band parameters\r\na \"standard\" (Std) data file containing the standard 1 Hz and 20 Hz Ku and C-band parameters\r\nan \"enhanced\" (Enh) data file containing the standard 1 Hz and 20 Hz Ku and C-band parameters, the waveforms and the associated parameters necessary to reprocess the data.\r\nThe SRAL/MWR Level-2 products are generated in Standard Archive Format for Europe (SAFE) format. All the information relevant to the product is gathered into a single package. Inside this package, the specific objects containing measurement data are encoded in netCDF format.\r\n\r\nThere are different levels of data latency related to the availability of auxiliary or ancillary data:\r\n\r\nNear Real-Time (NRT): delivered less than 3 hours after data acquisition\r\nSlow Time Critical (STC): delivered within 48 hours after data acquisition\r\nNon-Time Critical (NTC): delivered within typically 1 month after data acquisition.\r\n\r\nData are provided by ESA and are made available via CEDA to any registered user.", "keywords": "Sentinel, Synthetic Aperture Radar Altimeter, SRAL", "publicationState": "preview", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "continual", "status": "ongoing", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/27779/?format=api", "dataPath": "/neodc/sentinel3a/data/SRAL/L2_LAN/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 22207654762, "numberOfFiles": 3414, "fileFormat": "These data are provided in NetCDF format" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/7264/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data collected and prepared by European Space Agency (ESA). Downloaded from the Sentinel hubs for use by the CEDA community.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12321/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30129/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/32818/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146256/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116068/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116061/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/146255/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116067/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116062/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116064/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116069/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/116065/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/39524/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2586/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://sentinel.esa.int/documents/247904/690755/Sentinel_Data_Legal_Notice", "licenceClassifications": "any" } ], "discoveryKeywords": [] }